classification
Title: Add docstring to io.IOBase.writelines
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Marcin Niemira, docs@python, inada.naoki, martin.panter, terry.reedy
Priority: normal Keywords: patch

Created on 2019-04-04 08:03 by Marcin Niemira, last changed 2019-04-22 12:09 by inada.naoki. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 12683 merged n0npax, 2019-04-04 08:17
PR 12905 merged n0npax, 2019-04-22 11:27
Messages (6)
msg339434 - (view) Author: Marcin Niemira (Marcin Niemira) Date: 2019-04-04 08:03
Hey,

There is a missing function doc in `io.IOBase`

```python
import os
help(io.IOBase.writelines)
```

produces output like:
```
Help on method_descriptor:

writelines(self, lines, /)
```

I'll be happy to provide PR for this issue.

Cheers,
Marcin
msg339515 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-04-05 19:18
Verified.  
>>> import io
>>> io.IOBase.writelines.__doc__
>>>
msg339516 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-04-05 19:20
I assume that this can be backported even though it touches .c rather than .rst.
msg340626 - (view) Author: Marcin Niemira (Marcin Niemira) Date: 2019-04-22 01:10
Hey,
Is there something I can improve in this PR?
msg340647 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-04-22 11:14
New changeset ab86521a9d9999731e39bd9056420bb7774fd144 by Inada Naoki (Marcin Niemira) in branch 'master':
bpo-36523: Add docstring to io.IOBase.writelines (GH-12683)
https://github.com/python/cpython/commit/ab86521a9d9999731e39bd9056420bb7774fd144
msg340649 - (view) Author: Inada Naoki (inada.naoki) * (Python committer) Date: 2019-04-22 12:08
New changeset 1100ae8f3fb1d5a8f6f5638919196bd8fab66de9 by Inada Naoki (Marcin Niemira) in branch '3.7':
bpo-36523: Add docstring to io.IOBase.writelines (GH-12683)
https://github.com/python/cpython/commit/1100ae8f3fb1d5a8f6f5638919196bd8fab66de9
History
Date User Action Args
2019-04-22 12:09:08inada.naokisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-04-22 12:08:32inada.naokisetmessages: + msg340649
2019-04-22 11:27:12n0npaxsetpull_requests: + pull_request12832
2019-04-22 11:14:01inada.naokisetnosy: + inada.naoki
messages: + msg340647
2019-04-22 01:10:54Marcin Niemirasetmessages: + msg340626
2019-04-05 19:20:37terry.reedysetmessages: + msg339516
versions: + Python 3.7
2019-04-05 19:18:21terry.reedysetnosy: + terry.reedy

messages: + msg339515
title: missing docs for IOBase writelines -> Add docstring to io.IOBase.writelines
2019-04-04 08:17:29n0npaxsetkeywords: + patch
stage: patch review
pull_requests: + pull_request12611
2019-04-04 08:13:01xtreaksetnosy: + martin.panter
2019-04-04 08:03:57Marcin Niemiracreate